
@import url(https://fonts.googleapis.com/css?family=Open+Sans:300,400,700);

body {
  background: #ddcddc;
  padding: 0;
  margin: 0;
}

h2 {
  margin: 0;
  padding: 0;
  font-size: 10px;
  line-height: 10px;
  letter-spacing: 2.5px;
  font-family: 'Open Sans';
  font-weight: 700;
  color: #56458e;
}

.info h3 {
  margin: 0 0 0 20%;
  padding: 0;
  font-size: 11px;
  line-height: 11px;
  font-family: 'Open Sans';
  font-weight: 400;
  color: #777;
}

h4 {
  margin: 0 0 5px -35px;
  width: 230px;
  padding: 0;
  font-size: 16px;
  line-height: 14px;
  font-family: 'Open Sans';
  font-weight: 700;
  color: #56458e;
}

h5 {
  margin: 0;
  padding: 0;
  font-size: 13px;
  line-height: 13px;
  font-family: 'Open Sans';
  font-weight: 700;
  color: #6d6d6d;
}

h6 {
  margin: 0;
  padding: 0;
  font-size: 13px;
  line-height: 13px;
  font-family: 'Open Sans';
  font-weight: 700;
  color: #56458e;
}

.screen {
  background-color: #bfddd7;
  padding: 0;
  height: 650px;
  width: 366px;
  position: absolute;
  left: 50%;
	top: 0;
	transform: translate(-50%, 0);
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.4);
  overflow: hidden;
  margin: 30px 0;
}

.header {
  display: inline-flex;
  margin: 0 0 40px 0;
}

input[type=checkbox] {
  visibility: hidden;
  margin: 0;
  padding: 0;
  z-index: 10;
}

label.main::before {
  position: absolute;
  top: 23px;
  left: 23px;
  font-family: FontAwesome;
  content: '\f0c9';
  color: #ae4877;
  font-size: 16px;
  line-height: 16px;
  cursor: pointer;
  z-index: 10;

}

label.main:hover::before {
  color: #bbb;
}

.screen > #magicButton:checked ~ label.main::before {
  color: #ae4877;

}

.coverImageContainer {
  background: #bfddd7;
  background-size: cover;
  width: 366px;
  height: 366px;
  padding: 0;
  margin: 0;
  position: absolute;
  top: 0;
  left: 0;
  transform-origin: 0% 0%;

}

.coverImage {
  background: url('https://upload.wikimedia.org/wikipedia/en/3/34/RickAstleyNeverGonnaGiveYouUp7InchSingleCover.jpg') no-repeat;
  background-size: cover;
  width: 266px;
  height: 266px;
  padding: 00;
  margin-top: 80;
  margin-left: 50;
  position: absolute;
  top: 0;
  left: 0;
  transform-origin: 0% 0%;

}

.screen > #magicButton:checked ~ .coverImageContainer {
  transform: scale(.26, .26);
  left: 55px;
  top: 70px;
  border-radius: 20px;
  width: 0px;
  height: 0px;

}

.screen > #magicButton:checked ~ .coverImageContainer .coverImage {
  position: absolute;
  left: -100px;
  top: -170px;
  border-radius: 20px;
  width: 255px;
  height: 255px;

}

.search::before {
  position: absolute;
  top: 23px;
  right: 23px;
  font-family: FontAwesome;
  content: '\f002';
  color: #ae4877;
  font-size: 16px;
  line-height: 16px;
  cursor: pointer;
  z-index: 10;

}

.search:hover::before {
  color: #bbb;
}

.bodyPlayer {
  position: absolute;
  top: 366px;
  left: 0;
  margin: 0;
  padding: 0;
  height: 286px;
  width: 366px;
  background: #bfddd7;

}

.screen > #magicButton:checked ~ .bodyPlayer {
  height: 470px;
  left: 0;
  top: 180px;

}

.list {
  border-spacing: 0px 2px;
  width: 342px;
  visibility: hidden;
  opacity: 0;
  position: absolute;
  top: 378px;
  left: 12px;
  transform-origin: 0% 0%;
  transform: scale(0.1, 0.1);

}

.list tr {
  transform-origin: 0% 50%;
  height: 50px;
  text-align: center;
  background: #98c6bd;
  text-indent: 8px;
}


.list tr:hover {
  background: #222;
  cursor: pointer;
}

.title {
  width: 215px;
  text-align: left;
  text-indent: 15px;

}

.list tr:hover .title {
  padding-left: 5px;
  width: 210px;

}

.screen > #magicButton:checked ~ .list {
  top: 192px;
  left: 12px;
  opacity: 1;
  visibility: visible;
  transform: scale(1, 1);

}

.screen > #magicButton:checked ~ table tr:nth-child(1) {
  opacity: 1;
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.185s;
}

.screen > #magicButton:checked ~ table tr:nth-child(2) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.2s;
}

.screen > #magicButton:checked ~ table tr:nth-child(3) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.215s;
}

.screen > #magicButton:checked ~ table tr:nth-child(4) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.23s;
}

.screen > #magicButton:checked ~ table tr:nth-child(5) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.245s;
}

.screen > #magicButton:checked ~ table tr:nth-child(6) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.26s;
}

.screen > #magicButton:checked ~ table tr:nth-child(7) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.275s;
}

.screen > #magicButton:checked ~ table tr:nth-child(8) {
  animation: harlem 0.3s linear forwards;
  animation-delay: 0.29s;
}

label.zmr::before {
  font-family: FontAwesome;
  content: "\f062";
  color: #777;
  font-size: 15px;
  line-height: 15px;
  cursor: pointer;
  z-index: 10;

}

td > #heart:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart1:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart2:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart3:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart4:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart5:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart6:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

td > #heart7:checked ~ label.zmr::before {
  content: "\f062";
  color: #378475;

}

.bar {

}

.screen > #magicButton2:checked ~ .bar {
  background: url('http://imgh.us/bar_3.svg') no-repeat;
  background-size: 100%;
  width: 320px;
  height: 21px;
  position: absolute;
  top: 407px;
  left: 23px;
  transform-origin: 0% 0%;
  transition: all 0.3s ease-in;
}

.info {
  width: 157px;
  position: absolute;
  left: 104px;
  top: 370px;

}

.screen > #magicButton:checked ~ .info {
  top: 66px;
  left: 126px;
  text-align: left;

}

.screen > #magicButton:checked ~ .info h4 {
  width: 230px;
  margin-left: 0;
  font-size: 16px;
  color: #111111;

}

.screen > #magicButton:checked ~ .info h3 {
  margin-left: 0;
  color: #111111;

}

.player {
  background: none;
  text-align: center;
  font-family: FontAwesome;
  color: #56458e;
  font-size: 26px;
  line-height: 26px;
  width: 216px;
  height: 35px;
  position: absolute;
  bottom: 200px;
  left: 48%;
  transform: translate(-50%, 0);
  z-index: 10;

  border-spacing: 0;
}

.player td {
  width: 72px;
}

.backward::before {
  content: "\f04a";
  cursor: pointer;

}

.play::before {
  content: "\f04b";
  cursor: pointer;

}

.forward::before {
  content: "\f04e";
  cursor: pointer;

}

.backward:hover::before {
  color: #bbb;

}

.play:hover::before {
  color: #bbb;

}

.forward:hover::before {
  color: #bbb;

}

td > #play:checked ~ label.play::before {
  content: "\f04c";

}

.screen > #magicButton:checked ~ .player {
  bottom: 500px;
  left: -34px;
  transform: scale(0.45, 0.45);

}

.queued-container {
  position: absolute;
  top: 430;
  left: 10;
  transform-origin: 0% 0%;
  display: flex;

}

 .screen > #magicButton:checked ~ .queued-container {
  top: 68px;
  left: 126px;
  text-align: left;
  transform: scale(.7, .7);

}

.image-column {
  width: 55px;
  height: 55px;
  margin-top: 80;
  margin-left: 25px;
  transform-origin: 0% 0%;
  border-radius: 5px;
  flex: 5%;
}

#Album1 {
  background: url("https://upload.wikimedia.org/wikipedia/en/1/1d/Drake_-_So_Far_Gone_cover.png") no-repeat;
  background-size: cover;
  width: 55px;
  height: 55px;
}

#Album2 {
  background: url("https://upload.wikimedia.org/wikipedia/en/4/4d/The_life_of_pablo_alternate.jpg") no-repeat;
  background-size: cover;
  width: 55px;
  height: 55px;
}

#Album3 {
  background: url("https://images-na.ssl-images-amazon.com/images/I/61RpQQZI1VL._SY355_.jpg") no-repeat;
  background-size: cover;
  width: 55px;
  height: 55px;
}

#queue-icon {
  background: url("/Users/aaronshavitz/Documents/beegus/beegusLogoDoubleCropped.jpg");
  background-size: cover;
  cursor: pointer;
  width: 55px;
  height: 55px;
}

.footer {
  background: none;
  font-family: FontAwesome;
  color: #6d6d6d;
  font-size: 15px;
  line-height: 15px;
  height: 45px;
  width: 360px;
  position: absolute;
  bottom: 154px;
  left: 23px;
  z-index: 20;

}

#search_bar {
  background: white;
  height: 25px;
  margin-top: 185px;
  border-radius: 9px;
}

#search_bar h3{
  margin: 7px 0 0 8px;
  padding: 0;
  font-size: 13px;
  line-height: 11px;
  font-family: 'Open Sans';
  font-weight: 400;
  color: black;
}

.love::before {
  content: "\f062";
  cursor: pointer;

}

.shuffle::before {
  content: "\f074";
  cursor: pointer;

}

.repeat::before {
  content: "\f01e";
  cursor: pointer;

}

.options::before {
  content: "\f141";
  cursor: pointer;

}

.love:hover::before {
  color: #bbb;

}

.shuffle:hover::before {
  color: #bbb;

}

.repeat:hover::before {
  color: #bbb;

}

.options:hover::before {
  color: #bbb;

}

td > #love:checked ~ label.love::before {
  content: "\f062";
  color: #378475;

}

td > #shuffle:checked ~ label.shuffle::before {
  color: #ae4877;

}

td > #repeat:checked ~ label.repeat::before {
  color: #ae4877;

}

.screen > #magicButton:checked ~ .footer {
  bottom: -60px;

}

.tab-container {
  position: absolute;
  top: 605;
  left: -33;
  display: flex;
}

.tab {
  background-color: #98c6bd;
  width: 100px;
  height: 50px;
  margin-top: 0;
  margin-left: 33px;
  transform-origin: 0% 0%;
  border-radius: 5px;
  flex: 5%;
  cursor: pointer;
}

.tab h6 {
  margin: 15 0 0 20;
}

#searchTab::before {
  position: absolute;
  top: 10px;
  left: 200px;
  font-family: FontAwesome;
  content: '\f002';
  color: #ae4877;
  font-size: 28px;
}

audio {
  visibility: hidden;
}
